<?php

#########################################
# Original Author of file: streaker69   #
#########################################

###################################################
# Contact ------> streaker69@comcast.net	  #
# Program ------> NetTools for Cacti		  #
# Version ------> 0.1.5				  #
# Purpose ------> A collection of Network tools   #
###################################################


function plugin_init_nettools() {
	global $plugin_hooks;
	/* $plugin_hooks['top_header_tabs']['nettools'] = 'nettools_show_tab'; */
	/* $plugin_hooks['top_graph_header_tabs']['nettools'] = 'nettools_show_tab'; */
	$plugin_hooks['config_arrays']['nettools'] = 'nettools_config_arrays';
	$plugin_hooks['draw_navigation_text']['nettools'] = 'nettools_draw_navigation_text';
	/* $plugin_hooks['top_graph_refresh']['nettools'] = 'nettools_top_graph_refresh'; */
	$plugin_hooks['config_settings']['nettools'] = 'nettools_config_settings';
}

function nettools_config_settings () {
	global $tabs, $settings;
	$tabs["misc"] = "Misc";

	$temp = array(
		"nettools_header" => array(
			"friendly_name" => "Nettools",
			"method" => "spacer",
			),
		"nettools_vert" => array(
                        "friendly_name" => "iFrame Vertical Size",
                        "description" => "Vertical size of the iFrame data window.<br>In Pixels or Percent",
                        "method" => "textbox",
                        "max_length" => 4,
                        ),
	      "nettools_hort" => array(
                        "friendly_name" => "iFrame Horizontal Size",
                        "description" => "Horizontal size of the iFrame data window.<br>In Pixels or Percent",
                        "method" => "textbox",
                        "max_length" => 4,
                        ),
	        "nettools_ping" => array(
                        "friendly_name" => "Location of ping",
                        "description" => "The full file path to ping binary.",
                        "method" => "filepath",
                        "max_length" => 255,
                        ),
                "nettools_nslookup" => array(
                        "friendly_name" => "Location of nslookup",
                        "description" => "The full file path to nslookup binary.",
                        "method" => "filepath",
                        "max_length" => 255,
                        ),
		"nettools_nshost" => array(
                        "friendly_name" => "Default DNS server for NsLookup",
                        "description" => "The Default DNS server to for NSLookup.<br>Use 'localhost' if configured to forward DNS requests.",
                        "method" => "textbox",
                        "max_length" => 255,
                        ),
                "nettools_traceroute" => array(
                        "friendly_name" => "Location of traceroute",
                        "description" => "The full file path to traceroute binary.",
                        "method" => "filepath",
                        "max_length" => 255,
                        ),
                "nettools_whois" => array(
                        "friendly_name" => "Location of whois",
                        "description" => "The full file path to whois binary.",
                        "method" => "filepath",
                        "max_length" => 255,
                        ),
		"nettools_bsd" => array(
                        "friendly_name" => "OS type BSD?",
                        "description" => "Are you running a type of BSD?",
                        "method" => "checkbox",
			"value" => "BSD",
                        ),
                "nettools_snmpwalk" => array(
                        "friendly_name" => "Location of snmpwalk",
                        "description" => "The full file path to snmpwalk binary.",
                        "method" => "filepath",
                        "max_length" => 255,
                        ),
                "nettools_nmap" => array(
                        "friendly_name" => "Location of nmap",
                        "description" => "The full file path to nmap binary.",
                        "method" => "filepath",
                        "max_length" => 255,
                        )
			);
	if (isset($settings["misc"]))
		$settings["misc"] = array_merge($settings["misc"], $temp);
	else
		$settings["misc"]=$temp;
}

function nettools_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames,$menu;
	$user_auth_realms[141]='View Nettools';
	$user_auth_realm_filenames['nettools.php'] = 141;
	$user_auth_realm_filenames['frmdata.php'] = 141;
	$menu["Utilities"]['plugins/nettools/nettools.php'] = "NetTools";
}


function nettools_draw_navigation_text ($nav) {
   $nav["nettools.php:"] = array("title" => "NetTools", "mapping" => "index.php:", "url" => "nettools.php", "level" => "1");
   return $nav;
}

function nettools_version () {
	return array( 'name' 	=> 'NetTools',
			'version' 	=> '0.1.5',
			'longname'	=> 'NetTools for Cacti',
			'author'	=> 'Streaker69',
			'email'	=> 'Streaker69@comcast.net',
			'homepage' => 'http://forums.cacti.net/viewtopic.php?t=28060',
			'url'	=> 'http://members.netjunkies.net/streaker/versions.php',
			);
}

?>
